Bug Hunting Session
Bug 85949 - Adding '1.15 Lines' to line spacing drop downs
Summary: Adding '1.15 Lines' to line spacing drop downs
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: Paragraph-Dialog
  Show dependency treegraph
 
Reported: 2014-11-06 04:47 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-05-04 22:25 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-11-06 04:47:44 UTC
Its possible to select 1.15 lines in the line spacing drop down, when when looking at the line spacing drop down field in the paragraph dialog or in the line spacing drop down, it is shown as Proportional 115%.
Comment 1 A (Andy) 2014-11-06 12:54:09 UTC
Why do you want to have an option to select especially 1.15 lines in the line spacing?  I for instance use mostly 1.1 lines, sometimes 1.2.  

Therefore, otherwise you would need to add several alternatives?  

Maybe it would be good to have an option to add a customisable x.xx line spacing, where everybody can select his/her preferable line spacing and save it, so that he/she can use it always?  I for instance could then use 1.1 and you 1.15?
Comment 2 Yousuf Philips (jay) (retired) 2014-11-06 14:29:02 UTC
Hi Andy,

(In reply to A (Andy) from comment #1)
> Why do you want to have an option to select especially 1.15 lines in the
> line spacing?  I for instance use mostly 1.1 lines, sometimes 1.2.  

With 1.15 being the default line spacing used in MS Word and Google Docs, a large number of documents will be having this spacing set. I believe iWork Pages has easy selection of 1.2 and 1.3 in their line spacing drop down.

> Therefore, otherwise you would need to add several alternatives?

Well we should have presets for the most highly used ones.

> Maybe it would be good to have an option to add a customisable x.xx line
> spacing, where everybody can select his/her preferable line spacing and save
> it, so that he/she can use it always?  I for instance could then use 1.1 and
> you 1.15?

Well my 1.15 suggestion isnt about personal preference, it was about what is already in our line spacing drop down as a clickable button, and there is a 'Last Custom Value' in the drop down. :D
Comment 3 A (Andy) 2014-11-06 15:52:01 UTC
Hi Jay,

Thanks for your reply!


(In reply to Jay Philips from comment #2)
> Hi Andy,
> 
> (In reply to A (Andy) from comment #1)
> > Why do you want to have an option to select especially 1.15 lines in the
> > line spacing?  I for instance use mostly 1.1 lines, sometimes 1.2.  
> 
> With 1.15 being the default line spacing used in MS Word and Google Docs, a
> large number of documents will be having this spacing set. I believe iWork
> Pages has easy selection of 1.2 and 1.3 in their line spacing drop down.

I am not against 1.15.  From my point of view we could add it.  I only would like to have also a customisation option to add more.


> > Therefore, otherwise you would need to add several alternatives?
> 
> Well we should have presets for the most highly used ones.

As standard I agree.  We should not blow up it too much. 


> > Maybe it would be good to have an option to add a customisable x.xx line
> > spacing, where everybody can select his/her preferable line spacing and save
> > it, so that he/she can use it always?  I for instance could then use 1.1 and
> > you 1.15?
> 
> Well my 1.15 suggestion isnt about personal preference, it was about what is
> already in our line spacing drop down as a clickable button, and there is a
> 'Last Custom Value' in the drop down. :D

I am using LO 4.3.3.2 and I don't have a "Last Custom Value" (WRITER -> FORMAT -> PARAGRAPH -> tab INDENTS & SPACING)?  Will this be a new thing in LO 4.4?  If yes, it would be good.  But in addition, for the future I would like to have also a customisation option, where the user can for instance add his/her for instance three favourite line spacings.
Comment 4 Yousuf Philips (jay) (retired) 2014-11-07 10:36:32 UTC
(In reply to A (Andy) from comment #3)
> Hi Jay,

Hi Andy,

> I am not against 1.15.  From my point of view we could add it.  I only would
> like to have also a customisation option to add more.

Well i think you should file an enhancement bug and what others think.

> I am using LO 4.3.3.2 and I don't have a "Last Custom Value" (WRITER ->
> FORMAT -> PARAGRAPH -> tab INDENTS & SPACING)?  Will this be a new thing in
> LO 4.4?  If yes, it would be good.  But in addition, for the future I would
> like to have also a customisation option, where the user can for instance
> add his/her for instance three favourite line spacings.

It is available in the sidebar since 4.1. :D
Comment 5 A (Andy) 2014-11-07 11:12:33 UTC
(In reply to Jay Philips from comment #4)
> (In reply to A (Andy) from comment #3)
> > Hi Jay,
> 
> Hi Andy,
> 
> > I am not against 1.15.  From my point of view we could add it.  I only would
> > like to have also a customisation option to add more.
> 
> Well i think you should file an enhancement bug and what others think.

I will do it.

 
> > I am using LO 4.3.3.2 and I don't have a "Last Custom Value" (WRITER ->
> > FORMAT -> PARAGRAPH -> tab INDENTS & SPACING)?  Will this be a new thing in
> > LO 4.4?  If yes, it would be good.  But in addition, for the future I would
> > like to have also a customisation option, where the user can for instance
> > add his/her for instance three favourite line spacings.
> 
> It is available in the sidebar since 4.1. :D

Ah, ok.  There we also already have 1.15.  But should a similar "Last Custom Value" option not also be in the above mentioned Paragraph dialogue box?  But for this more changes are necessary, so that we see what this last value was, therefore maybe only something to think about for the future.  I raise this question, because if maybe somebody is not working with the Sidebar, then he/she would not have this option?  Out of habit I still often go to FORMAT -> PARAGRAPH/CHARACTER to change formats.  But maybe other users have another opinion regarding this.
Comment 6 Yousuf Philips (jay) (retired) 2014-11-07 18:22:39 UTC
(In reply to A (Andy) from comment #5)
> Ah, ok.  There we also already have 1.15.  But should a similar "Last Custom
> Value" option not also be in the above mentioned Paragraph dialogue box? 
> But for this more changes are necessary, so that we see what this last value
> was, therefore maybe only something to think about for the future.

I dont think it should be added to the paragraph dialog as like you said, it would require additional work that would be very seldom used.

> I raise
> this question, because if maybe somebody is not working with the Sidebar,
> then he/she would not have this option?  Out of habit I still often go to
> FORMAT -> PARAGRAPH/CHARACTER to change formats.  But maybe other users have
> another opinion regarding this.

Well as stated in the description, though i guess i didnt explain it well :D, the line spacing drop down is now in the toolbar in master < https://wiki.documentfoundation.org/ReleaseNotes/4.4#Reworked_paragraph_line_spacing_dropdown >, so users will have easy access to this without the sidebar and without the dialog.
Comment 7 Commit Notification 2016-06-16 12:45:13 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e837ddd75a6d2b6edc41ba05ded6215d63e3be5c

tdf#85949 Add 1.15 to the Line Spacing dropdown

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-06-16 12:47:43 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e74d125954051736f7862eb239e04ba1b199801f

tdf#85949 Add 1.15 line spacing in the paragraph dialog also

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.